> For the complete documentation index, see [llms.txt](https://docs.i3d.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.i3d.net/api-references/general/calc-utilities-1.md).

# Calc Utilities

Order system utilities

## GET /v3/calc/utilities/servicevatpercentage/{serviceName}

> Request the VAT percentage for a shop category, for your specific user

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"CalcUtilities","description":"Order system utilities"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"CalcServiceVatPercentage":{"type":"object","required":["taxPercent"],"properties":{"taxPercent":{"type":"number","format":"float","description":"VAT percentage"}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/calc/utilities/servicevatpercentage/{serviceName}":{"get":{"tags":["CalcUtilities"],"summary":"Request the VAT percentage for a shop category, for your specific user","operationId":"getCalcUtilitiesServiceVatPercentage","parameters":[{"name":"serviceName","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CalcServiceVatPercentage"}}},"required":true},"responses":{"200":{"description":"OK"},"403":{"description":"Invalid credentials"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/calc/utilities/marginfactors/{categoryName}

> Request the user / reseller group margin factors for a calc category

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"CalcUtilities","description":"Order system utilities"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"CalcCategoryMargins":{"type":"object","required":["resellerTypeId","resellerTypeName","categoryId","marginFactor"],"properties":{"resellerTypeId":{"type":"integer","format":"integer","description":"ID of a reseller type"},"resellerTypeName":{"type":"string","format":"","description":"Name of a reseller type"},"categoryId":{"type":"integer","format":"integer","description":"ID of the category"},"marginFactor":{"type":"number","format":"float","description":"ID of a category"}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/calc/utilities/marginfactors/{categoryName}":{"get":{"tags":["CalcUtilities"],"summary":"Request the user / reseller group margin factors for a calc category","operationId":"getCalcUtilitiesMarginFactors","parameters":[{"name":"categoryName","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CalcCategoryMargins"}}},"required":true},"responses":{"200":{"description":"OK"},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid categoryName"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.i3d.net/api-references/general/calc-utilities-1.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
